## rivendell-install-rhel7.spec.in
##
##    Rivendell Installation Script
##
##    Copyright (C) 2016-2020  Fred Gleason <fredg@paravelsystems.com>
##
##    This program is free software; you can redistribute it and/or modify
##    it under the terms of version 2 of the GNU General Public License as
##    published by the Free Software Foundation;
##
##    This program is distributed in the hope that it will be useful,
##    but WITHOUT ANY WARRANTY; without even the implied warranty of
##    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##    GNU General Public License for more details.
##
##    You should have received a copy of the GNU General Public License
##    along with this program; if not, write to the Free Software
##    Foundation, Inc., 59 Temple Place, Suite 330, 
##    Boston, MA  02111-1307  USA
##

Summary: Rivendell Installation Script
Name: rivendell-install
Version: 1.0.3
Release: 1%{?dist}
License: GPL
Packager: Fred Gleason <fredg@paravelsystems.com>
Group: Productivity/Multimedia/Other
Source: %{name}-1.0.3.tar.gz
BuildRoot: /var/tmp/rivendell-install-1.0.3



%description
Bootstrap script for installing Rivendell on an RHEL 7 system.


%prep


%setup


%build
%configure


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/root
cp centos7/install_rivendell.sh $RPM_BUILD_ROOT/root/
cp centos7/install_rivendell_devel.sh $RPM_BUILD_ROOT/root/
cp centos7/install_rivendell_virtserv.sh $RPM_BUILD_ROOT/root/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/rivendell-install
cp centos7/asihpi.conf $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp centos7/selinux.config $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp centos7/visual.sh $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp centos7/smb.conf $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp centos7/limits.conf $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp centos7/xfce-config.tgz $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp centos7/rsyslog.conf.patch $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp common/asound.conf $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp common/*.repo $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp common/RPM-GPG-KEY* $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp common/autologin.patch $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp common/*.png $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp common/docbook5.sh $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp common/no_screen_blank.conf $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp common/auto.rd.audiostore.template $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp common/auto.misc.client_template $RPM_BUILD_ROOT%{_datadir}/rivendell-install/
cp common/auto.misc.template $RPM_BUILD_ROOT%{_datadir}/rivendell-install/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/rivendell-install/skel
cp common/*.pdf $RPM_BUILD_ROOT%{_datadir}/rivendell-install/skel/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
/root/install_rivendell.sh
/root/install_rivendell_devel.sh
/root/install_rivendell_virtserv.sh
%{_datadir}/rivendell-install/*


%changelog
* Fri Dec 16 2022 Fred Gleason <fredg@paravelsystems.com> - 1.0.3-1
-- Autogenerated from build tree.
